## gmsh 3.0.5+dfsg1

=== CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

# do not warn about non-definition of WIN32 on cygwin
set(CMAKE_LEGACY_CYGWIN_WIN32 0)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif(DEFINED CMAKE_BUILD_TYPE)

project(gmsh CXX C)

# this variable controls the default value of the options which are normally set
# to ON (useful if you want to configure a minimal version of Gmsh: e.g. "cmake
# -DDEFAULT=0 -DENABLE_POST=1 -DENABLE_PARSER=1")
set(DEFAULT ON CACHE INTERNAL "Default value for enabled-by-default options")

macro(opt OPTION HELP VALUE)
  option(ENABLE_${OPTION} ${HELP} ${VALUE})
  set(OPT_TEXI "${OPT_TEXI}\n@item ENABLE_${OPTION}\n${HELP} (default: ${VALUE})")
endmacro(opt)

opt(3M "Enable proprietary 3M extension" OFF)
opt(ACIS "Enable ACIS geometrical models (experimental)" ${DEFAULT})
opt(ANN "Enable ANN (used for fast point search in mesh/post)" ${DEFAULT})
opt(BAMG "Enable Bamg 2D anisotropic mesh generator" ${DEFAULT})
opt(BFGS "Enable BFGS (used by some mesh optimizers)" ${DEFAULT})
opt(BLAS_LAPACK "Enable BLAS/Lapack for linear algebra (required for meshing)" ON)
opt(BLOSSOM "Enable Blossom algorithm (needed for full quad meshing)" ${DEFAULT})
opt(BUILD_LIB "Enable 'lib' target for building static Gmsh library" OFF)
opt(BUILD_SHARED "Enable 'shared' target for building shared Gmsh library" OFF)
opt(BUILD_DYNAMIC "Enable dynamic Gmsh executable (linked with shared lib)" OFF)
opt(BUILD_ANDROID "Enable Android NDK library target (experimental)" OFF)
opt(BUILD_IOS "Enable iOS (ARM) library target (experimental)" OFF)
opt(CGNS "Enable CGNS mesh export (experimental)" OFF)
opt(CAIRO "Enable Cairo to render fonts (experimental)" ${DEFAULT})
opt(CHACO "Enable Chaco mesh partitioner (alternative to Metis)" ${DEFAULT})
opt(COMPRESSED_IO "Enable compressed (gzip) input/output using zlib" OFF)
opt(CXX11 "Enable C++11" ${DEFAULT})
opt(DINTEGRATION "Enable discrete integration (needed for levelsets)" ${DEFAULT})
opt(FLTK "Enable FLTK graphical user interface (requires mesh/post)" ${DEFAULT})
opt(FOURIER_MODEL "Enable Fourier geometrical models (experimental)" OFF)
opt(GETDP "Enable GetDP solver (as a directly linked library)" ${DEFAULT})
opt(GMM "Enable GMM linear solvers (simple alternative to PETSc)" ${DEFAULT})
opt(GMP "Enable GMP for Kbipack (advanced)" ON)
opt(GRAPHICS "Enable building graphics lib even without GUI (advanced)" OFF)
opt(KBIPACK "Enable Kbipack (neeeded by homology solver)" ${DEFAULT})
opt(MATHEX "Enable math expression parser (used by plugins and options)" ${DEFAULT})
opt(MED "Enable MED mesh and post file formats" ${DEFAULT})
opt(MESH "Enable mesh module (required by GUI)" ${DEFAULT})
opt(METIS "Enable Metis mesh partitioner" ${DEFAULT})
opt(MMG3D "Enable MMG3D 3D anisotropic mesh refinement" ${DEFAULT})
opt(MPEG_ENCODE "Enable built-in MPEG movie encoder" ${DEFAULT})
opt(MPI "Enable MPI (mostly for parser and solver - mesh generation is sequential)" OFF)
opt(MSVC_STATIC_RUNTIME "Enable static Visual C++ runtime" OFF)
opt(MUMPS "Enable MUMPS sparse direct linear solver" OFF)
opt(NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ${DEFAULT})
opt(NETGEN "Enable Netgen 3D frontal mesh generator" ${DEFAULT})
opt(NUMPY "Enable conversion between fullMatrix and numpy array (requires SWIG)" OFF)
opt(PETSC4PY "Enable petsc4py wrappers for petsc matrices" ON)
opt(OCC "Enable OpenCASCADE geometrical models" ${DEFAULT})
opt(ONELAB "Enable ONELAB solver interface" ${DEFAULT})
opt(ONELAB_METAMODEL "Enable ONELAB metamodels (experimental)" ${DEFAULT})
opt(OPENMP "Enable OpenMP (experimental)" OFF)
opt(OPTHOM "Enable high-order mesh optimization tools" ${DEFAULT})
opt(OS_SPECIFIC_INSTALL "Enable OS-specific (e.g. app bundle) installation" ${DEFAULT})
opt(OSMESA "Enable OSMesa for offscreen rendering (experimental)" OFF)
opt(PARSER "Enable GEO file parser (required for .geo/.pos files)" ${DEFAULT})
opt(PETSC "Enable PETSc linear solvers (required for SLEPc)" ${DEFAULT})
opt(PLUGINS "Enable post-processing plugins" ${DEFAULT})
opt(POST "Enable post-processing module (required by GUI)" ${DEFAULT})
opt(POPPLER "Enable Poppler for displaying PDF documents (experimental)" OFF)
opt(QT "Enable dummy QT graphical interface proof-of-concept (experimental)" OFF)
opt(REVOROPT "Enable Revoropt (used for CVT remeshing)" OFF)
opt(SLEPC "Enable SLEPc eigensolvers (required for conformal compounds)" ${DEFAULT})
opt(SOLVER "Enable built-in finite element solvers (required for compounds)" ${DEFAULT})
opt(TAUCS "Enable Taucs linear solver" ${DEFAULT})
opt(TCMALLOC "Enable libtcmalloc, a fast malloc implementation but that does not release memory" OFF)
opt(TETGEN "Enable Tetgen 3D initial mesh generator" ${DEFAULT})
opt(VORO3D "Enable Voro3D (for hex meshing, experimental)" ${DEFAULT})
opt(WRAP_JAVA "Enable generation of Java wrappers (experimental)" OFF)
opt(WRAP_PYTHON "Enable generation of Python wrappers" OFF)
opt(ZIPPER "Enable Zip file compression/decompression" OFF)

set(GMSH_MAJOR_VERSION 3)
set(GMSH_MINOR_VERSION 0)
set(GMSH_PATCH_VERSION 5)
set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")

set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
set(GMSH_VERSION "${GMSH_VERSION}.${GMSH_PATCH_VERSION}${GMSH_EXTRA_VERSION}")
set(GMSH_SHORT_LICENSE "GNU General Public License")

set(GMSH_API
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshConfig.h
  ${CMAKE_CURRENT_BINARY_DIR}/Common/GmshVersion.h
  Common/Gmsh.h Common/Context.h Common/GmshDefines.h Common/GmshMessage.h
    Common/VertexArray.h Common/Octree.h Common/OctreeInternals.h
    Common/OS.h Common/StringUtils.h Common/OpenFile.h Common/Hash.h
    Common/onelab.h Common/GmshSocket.h Common/onelabUtils.h Common/Options.h
    Common/picojson.h
  Numeric/Numeric.h Numeric/GaussIntegration.h Numeric/polynomialBasis.h
    Numeric/JacobianBasis.h Numeric/bezierBasis.h Numeric/fullMatrix.h
    Numeric/FuncSpaceData.h Numeric/pointsGenerators.h
    Numeric/simpleFunction.h Numeric/cartesian.h Numeric/ElementType.h
    Numeric/BasisFactory.h Numeric/CondNumBasis.h
  Geo/GModel.h Geo/GEntity.h Geo/GPoint.h Geo/GVertex.h Geo/GEdge.h
    Geo/GFace.h Geo/GRegion.h Geo/GEdgeLoop.h Geo/GEdgeCompound.h
    Geo/GFaceCompound.h Geo/GRegionCompound.h Geo/GRbf.h Geo/MVertex.h
    Geo/MVertexBoundaryLayerData.h Geo/MEdge.h Geo/MFace.h
    Geo/MEdgeHash.h Geo/MFaceHash.h
    Geo/MElement.h Geo/MElementOctree.h Geo/MPoint.h Geo/MLine.h
    Geo/MTriangle.h Geo/MQuadrangle.h Geo/MTetrahedron.h Geo/MHexahedron.h
    Geo/MPrism.h Geo/MPyramid.h Geo/MTrihedron.h Geo/MElementCut.h Geo/MElementOctree.h
    Geo/discreteVertex.h Geo/discreteEdge.h Geo/discreteFace.h Geo/discreteRegion.h
    Geo/SPoint2.h Geo/SPoint3.h Geo/SVector3.h Geo/STensor3.h Geo/SBoundingBox3d.h
    Geo/Pair.h Geo/Range.h Geo/SOrientedBoundingBox.h
    Geo/CellComplex.h Geo/ChainComplex.h Geo/Cell.h Geo/Homology.h Geo/Chain.h
    Geo/GenericVertex.h Geo/GenericEdge.h Geo/GenericFace.h Geo/GenericRegion.h
    Geo/partitionVertex.h Geo/partitionEdge.h Geo/partitionFace.h Geo/CGNSOptions.h
    Geo/gmshLevelset.h Geo/boundaryLayersData.h
  Mesh/meshGEdge.h Mesh/meshGFace.h Mesh/meshGFaceOptimize.h
    Mesh/meshPartition.h Mesh/meshGFaceDelaunayInsertion.h
    Mesh/simple3D.h Mesh/meshPartitionOptions.h Mesh/directions3D.h Mesh/yamakawa.h
    Mesh/Voronoi3D.h Mesh/Levy3D.h Mesh/meshMetric.h Mesh/ThinLayer.h
  Numeric/mathEvaluator.h
  Solver/dofManager.h Solver/femTerm.h Solver/laplaceTerm.h Solver/elasticityTerm.h
    Solver/crossConfTerm.h Solver/orthogonalTerm.h
    Solver/linearSystem.h Solver/linearSystemGMM.h Solver/linearSystemCSR.h
    Solver/linearSystemFull.h Solver/elasticitySolver.h Solver/sparsityPattern.h
    Solver/groupOfElements.h Solver/linearSystemPETSc.h Solver/linearSystemMUMPS.h
    Solver/thermicSolver.h
  Post/PView.h Post/PViewData.h Plugin/PluginManager.h Post/OctreePost.h
  Post/PViewDataList.h Post/PViewDataGModel.h Post/PViewOptions.h Post/ColorTable.h
   Numeric/nodalBasis.h Post/adaptiveData.h
  Graphics/drawContext.h
  contrib/kbipack/gmp_normal_form.h contrib/kbipack/gmp_matrix.h
    contrib/kbipack/gmp_blas.h contrib/kbipack/mpz.h
  contrib/DiscreteIntegration/Integration3D.h
  contrib/HighOrderMeshOptimizer/OptHOM.h contrib/HighOrderMeshOptimizer/OptHomMesh.h
  contrib/HighOrderMeshOptimizer/OptHomRun.h contrib/HighOrderMeshOptimizer/ParamCoord.h
  contrib/HighOrderMeshOptimizer/OptHomFastCurving.h 
  contrib/HighOrderMeshOptimizer/OptHomIntegralBoundaryDist.h
  contrib/HighOrderMeshOptimizer/CADDistances.h
  contrib/HighOrderMeshOptimizer/OptHomObjContribScaledJac.h
  contrib/HighOrderMeshOptimizer/OptHomObjContribMetricMin.h
  contrib/HighOrderMeshOptimizer/OptHomObjContribCADDist.h
  contrib/MeshOptimizer/MeshOptPatch.h contrib/MeshOptimizer/MeshOpt.h
  contrib/MeshOptimizer/MeshOptCommon.h contrib/MeshOptimizer/MeshOptimizer.h
  contrib/MeshOptimizer/MeshOptObjContribFunc.h contrib/MeshOptimizer/MeshOptObjContrib.h
  contrib/MeshOptimizer/MeshOptObjContribScaledNodeDispSq.h
  contrib/MeshOptimizer/MeshOptObjectiveFunction.h contrib/MeshOptimizer/MeshOptVertexCoord.h
  contrib/MeshQualityOptimizer/MeshQualityObjContribIdealJac.h
  contrib/MeshQualityOptimizer/MeshQualityObjContribInvCond.h
  contrib/MeshQualityOptimizer/MeshQualityOptimizer.h
  contrib/MathEx/mathex.h)

get_property(IAMCHILD DIRECTORY  PROPERTY PARENT_DIRECTORY)
if(IAMCHILD)
  set(GMSH_API ${GMSH_API} PARENT_SCOPE)
endif(IAMCHILD)

if(${CMAKE_MAJOR_VERSION} GREATER 2)
  string(TIMESTAMP DATE "%Y%m%d")
else(${CMAKE_MAJOR_VERSION} GREATER 2)
  execute_process(COMMAND date "+%Y%m%d" OUTPUT_VARIABLE DATE
                  OUTPUT_STRIP_TRAILING_WHITESPACE)
endif(${CMAKE_MAJOR_VERSION} GREATER 2)
execute_process(COMMAND hostname OUTPUT_VARIABLE HOSTNAME
                OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND whoami OUTPUT_VARIABLE PACKAGER
                OUTPUT_STRIP_TRAILING_WHITESPACE)

if(NOT DATE)
  set(DATE "unknown")
endif(NOT DATE)
set(GMSH_DATE "${DATE}")

if(NOT HOSTNAME)
  set(HOSTNAME "unknown")
endif(NOT HOSTNAME)
set(GMSH_HOST "${HOSTNAME}")

if(NOT PACKAGER)
  set(PACKAGER "unknown")
endif(NOT PACKAGER)
set(GMSH_PACKAGER "${PACKAGER}")

if(APPLE)
  set(GMSH_OS "MacOSX")
elseif(CYGWIN)
  set(GMSH_OS "Windows")
  add_definitions(-DWIN32) # recent mingw compiler doesn't define it
else(APPLE)
  set(GMSH_OS "${CMAKE_SYSTEM_NAME}")
endif(APPLE)

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCXXCompilerFlag)

if(ENABLE_WRAP_PYTHON AND NOT ENABLE_BUILD_SHARED)
  set(ENABLE_BUILD_DYNAMIC ON)
endif(ENABLE_WRAP_PYTHON AND NOT ENABLE_BUILD_SHARED)

if(MSVC)
  # remove annoying warning about bool/int cast performance
  set(GMSH_CONFIG_PRAGMAS "#pragma warning(disable:4800 4244 4267)")
  if(ENABLE_MSVC_STATIC_RUNTIME)
    foreach(VAR
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${VAR} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${VAR} "${${VAR}}")
      endif(${VAR} MATCHES "/MD")
    endforeach(VAR)
  endif(ENABLE_MSVC_STATIC_RUNTIME)
  if(ENABLE_BUILD_DYNAMIC OR ENABLE_BUILD_SHARED)
    # automatically export .def file with all symbols (requires CMake 3.4);

=== Geo/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  boundaryLayersData.cpp
  closestPoint.cpp
  intersectCurveSurface.cpp
  GEntity.cpp STensor3.cpp
    GVertex.cpp GEdge.cpp GFace.cpp GRegion.cpp
    GEdgeLoop.cpp GEdgeCompound.cpp GFaceCompound.cpp
  GRegionCompound.cpp GRbf.cpp
    gmshVertex.cpp gmshEdge.cpp gmshFace.cpp gmshRegion.cpp
   gmshSurface.cpp
   OCCVertex.cpp OCCEdge.cpp OCCFace.cpp OCCRegion.cpp
   GenericVertex.cpp GenericEdge.cpp GenericFace.cpp GenericRegion.cpp
    discreteEdge.cpp discreteFace.cpp discreteDiskFace.cpp discreteRegion.cpp 
    fourierEdge.cpp fourierFace.cpp fourierProjectionFace.cpp
  ACISVertex.cpp
  ACISEdge.cpp
  ACISFace.cpp
  GModel.cpp
  GModelCreateTopologyFromMesh.cpp
    GModelVertexArrays.cpp
    GModelFactory.cpp
    GModelIO_GEO.cpp GModelIO_ACIS.cpp GModelIO_OCC.cpp GModelIO_TOCHNOG.cpp
      GModelIO_Fourier.cpp 
    GModelIO_MSH.cpp GModelIO_MSH2.cpp GModelIO_VTK.cpp GModelIO_POS.cpp 
      GModelIO_CGNS.cpp GModelIO_MED.cpp GModelIO_MESH.cpp GModelIO_STL.cpp 
      GModelIO_PLY.cpp GModelIO_VRML.cpp GModelIO_UNV.cpp GModelIO_BDF.cpp 
      GModelIO_IR3.cpp GModelIO_DIFF.cpp GModelIO_GEOM.cpp GModelIO_INP.cpp
      GModelIO_MAIL.cpp GModelIO_P3D.cpp GModelIO_CELUM.cpp
      GModelIO_ACTRAN.cpp GModelIO_SU2.cpp GModelIO_SAMCEF.cpp
  ExtrudeParams.cpp
  Geo.cpp
  GeoStringInterface.cpp GeoInterpolation.cpp
  gmshLevelset.cpp
  findLinks.cpp
  SOrientedBoundingBox.cpp
  GeomMeshMatcher.cpp
  MVertex.cpp
  MEdge.cpp
  MFace.cpp
  MElement.cpp MElementOctree.cpp
    MLine.cpp MTriangle.cpp MQuadrangle.cpp MTetrahedron.cpp
    MHexahedron.cpp MPrism.cpp MPyramid.cpp MTrihedron.cpp MElementCut.cpp MSubElement.cpp
  MZone.cpp MZoneBoundary.cpp
  Cell.cpp CellComplex.cpp ChainComplex.cpp Homology.cpp Chain.cpp
  Curvature.cpp
  MVertexBoundaryLayerData.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Geo "${SRC};${HDR}")

=== Mesh/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
   meshGRegionBoundaryRecovery.cpp
   delaunay3d.cpp
   delaunay_refinement.cpp
   Generator.cpp
    meshGEdge.cpp 
      meshGEdgeExtruded.cpp
    meshGFace.cpp 
      meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
      meshGFaceBamg.cpp meshGFaceBDS.cpp meshGFaceDelaunayInsertion.cpp 
      meshGFaceLloyd.cpp meshGFaceOptimize.cpp 
     meshGFaceQuadrilateralize.cpp 
    meshGRegion.cpp 
    meshDiscreteRegion.cpp 
      meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp 
      meshGRegionExtruded.cpp  meshGRegionCarveHole.cpp 
      meshGRegionLocalMeshMod.cpp meshGRegionMMG3D.cpp
      meshGRegionRelocateVertex.cpp
    meshMetric.cpp
    BackgroundMeshTools.cpp 
    BackgroundMesh.cpp 
    BGMBase.cpp 
    BackgroundMesh2D.cpp 
    BackgroundMesh3D.cpp 
    BackgroundMeshManager.cpp 
    pointInsertionRTreeTools.cpp 
    pointInsertion.cpp 
    qualityMeasures.cpp qualityMeasuresJacobian.cpp
    BoundaryLayers.cpp 
    BDS.cpp 
    HighOrder.cpp 
    meshPartition.cpp
    meshRefine.cpp
    multiscalePartition.cpp
    QuadTriUtils.cpp
      QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
    simple3D.cpp ThinLayer.cpp
  DivideAndConquer.cpp
    Voronoi3D.cpp
    Levy3D.cpp
    directions3D.cpp
    filterElements.cpp
    yamakawa.cpp
    Field.cpp
    surfaceFiller.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Mesh "${SRC};${HDR}")

=== debian/changelog ===
gmsh (3.0.5+dfsg1-1) unstable; urgency=medium

  * [9198f30] Update d/copyright
  * [72a75ef] Remove testsuite-field in d/copyright
  * [594797c] Rename libgmsh2v5 to libgmsh3
  * [1e5cc6c] Drop gmsh.css not to cause a privacy breach
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Oct 2017 12:05:21 +0200

gmsh (3.0.5+dfsg1-1~exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * [5e7b80b] fix custom test (in preparation for gmsh 3)
  * [c1d17e5] New upstream version 3.0.5+dfsg1
  * [c150988] RPATH fix
  * [ae51946] remove `Multi-Arch: foreign`
  * [32757fd] bump standards version (no changes necessary)
  * [a0834d6, 76fccb7] copyright updates
  * [32757fd] update standards-version to 4.1.0
  * [a0834d6] copyright updates
  * [c776245] update license patch
  * [03cf825] disable OpenCascade (version requirement not fulfilled)
  * [5c9ff4d] refresh patches
  * [172d478] don't disable OCC (OCE 0.18.2 now in unstable)

  [ Anton Gladky ]
  * [8f2376f] Refresh patches
  * [8190637] Fix wrapper for Java.
  * [859624a] Remove deprecated patches
  * [af4a10f] Use compat level 10
  * [e14c59e] Set Standards-Version: 4.1.1
  * [b123a79] Change section for libjava-gmsh2

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Oct 2017 21:36:53 +0200

=== debian/control ===
Source: gmsh
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Section: math
Priority: optional
Build-Depends: chrpath,
               cmake,
               debhelper (>= 10),
               default-jdk,
               freeglut3-dev,
               gfortran,
               javahelper,
               libann-dev,
               libblas-dev,
               libcgns-dev,
               libfltk1.3-dev,
               libgl1-mesa-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               liblapack-dev,
               libmed-dev,
               libmedc-dev,
               liboce-modeling-dev,
               liboce-ocaf-dev,
               liboce-visualization-dev,
               libpng-dev,
               libtet1.5-dev,
               mpi-default-bin,
               mpi-default-dev,
               oce-draw,
               python-dev,
               swig,
               texinfo,
               texlive,
               zlib1g-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gmsh.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gmsh.git
Homepage: http://www.geuz.org/gmsh/
X-Python-Version: current

Package: gmsh
Architecture: any
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh-doc
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

Package: gmsh-doc
Architecture: all
Section: doc
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains documentation and examples.

Package: libgmsh-dev
Architecture: any
Section: libdevel
Depends: libgmsh3 (= ${binary:Version}),
         libjava-gmsh3 (= ${binary:Version}),
         ${misc:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator. Development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development files.

Package: libgmsh3
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Pre-Depends: ${misc:Pre-Depends}
Description: Three-dimensional finite element mesh generator. Shared library
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains a shared library.

Package: libjava-gmsh3
Architecture: any
Section: libs
Depends: libgmsh3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Pre-Depends: ${misc:Pre-Depends}
Description: Three-dimensional finite element mesh generator. Java wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Java wrappers for gmsh

Package: python-gmsh
Architecture: any
Section: python
Depends: libgmsh3 (= ${binary:Version}),
         python (<< 2.8),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator. Python wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Python wrapper for gmsh

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build
JAVA_HOME=/usr/lib/jvm/default-java

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Add --with javahelper for java-wrappers

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --with javahelper

export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot


disable_mpi_archs = kfreebsd-amd64 kfreebsd-i386 ia64
disable_auto_test_archs = mips64el
export LD_LIBRARY_PATH :=  $(CURDIR)/debian/tmp/usr/lib:$(LD_LIBRARY_PATH); 

extra_flags += \
-DENABLE_METIS:BOOL=OFF \
-DENABLE_TAUCS:BOOL=OFF \
-DENABLE_OSMESA:BOOL=OFF \
-DENABLE_CGNS:BOOL=ON \
-DENABLE_WRAP_JAVA:BOOL=ON \
-DENABLE_WRAP_PYTHON:BOOL=ON \
-DENABLE_BUILD_SHARED:BOOL=ON \
-DENABLE_BUILD_DYNAMIC:BOOL=ON \
-DENABLE_ONELAB:BOOL=ON \
-DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
-DCMAKE_INCLUDE_PATH:STRING="/usr/include/mpi" \
-DINSTALL_LIB_DIR:STRING="/usr/lib/$(DEB_HOST_MULTIARCH)" \

ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_mpi_archs)))
	extra_flags += \
	-DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -lmpi -fPIC \
	                   -Wall $(shell dpkg-buildflags --get CXXFLAGS)" \
	-DENABLE_MPI:BOOL=ON
else
	extra_flags += \
	-DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -fPIC \
	                   -Wall $(shell dpkg-buildflags --get CXXFLAGS)" \
	-DENABLE_MPI:BOOL=OFF
endif

override_dh_auto_clean:
	rm -rf $(BUILDDIR)
	rm -rf $(CURDIR)/debian/tmp
	rm -f doc/texinfo/gmsh.vr 
	rm -f doc/texinfo/gmsh.fn 
	rm -f doc/texinfo/gmsh.ky 
	rm -f doc/texinfo/gmsh.pg
	rm -f doc/texinfo/gmsh.toc
	rm -f doc/texinfo/gmsh.log
	rm -f doc/texinfo/gmsh.cp
	rm -f doc/texinfo/gmsh.tp
	rm -f doc/texinfo/gmsh.tps
	rm -f doc/texinfo/gmsh.cps
	rm -f doc/texinfo/gmsh.aux
	rm -f doc/texinfo/gmsh.html
	rm -f doc/texinfo/gmsh.pdf
	rm -f doc/texinfo/gmsh.info
	jh_build --clean

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_build:
	dh_auto_build
	# To avoid the texi2dvi pb add LC_ALL=C
	dh_auto_build -- pdf html info LC_ALL=C
	chrpath -d $(BUILDDIR)/wrappers/gmshpy/*.so

override_dh_auto_test:
	mkdir test-dir
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs)))
	cp demos/simple_geo/transfinite.geo test-dir
	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.mesh
	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.mesh
	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.msh
	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.msh
	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.stl
	cd test-dir; $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.stl
	cd test-dir; ls -ln;
endif
	rm -rf test-dir

## gmsh 3.0.6+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
 opt(NUMPY "Enable conversion between fullMatrix and numpy array (requires SWIG)" OFF)
 opt(PETSC4PY "Enable petsc4py wrappers for petsc matrices" ON)
 opt(OCC "Enable OpenCASCADE geometrical models" ${DEFAULT})
+opt(OCC_CAF "Enable OpenCASCADE CAF module" OFF)
 opt(ONELAB "Enable ONELAB solver interface" ${DEFAULT})
 opt(ONELAB_METAMODEL "Enable ONELAB metamodels (experimental)" ${DEFAULT})
 opt(OPENMP "Enable OpenMP (experimental)" OFF)
@@ -93,7 +94,7 @@
 
 set(GMSH_MAJOR_VERSION 3)
 set(GMSH_MINOR_VERSION 0)
-set(GMSH_PATCH_VERSION 5)
+set(GMSH_PATCH_VERSION 6)
 set(GMSH_EXTRA_VERSION "" CACHE STRING "Gmsh extra version string")
 
 set(GMSH_VERSION "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}")
@@ -148,7 +149,7 @@
   contrib/DiscreteIntegration/Integration3D.h
   contrib/HighOrderMeshOptimizer/OptHOM.h contrib/HighOrderMeshOptimizer/OptHomMesh.h
   contrib/HighOrderMeshOptimizer/OptHomRun.h contrib/HighOrderMeshOptimizer/ParamCoord.h
-  contrib/HighOrderMeshOptimizer/OptHomFastCurving.h 
+  contrib/HighOrderMeshOptimizer/OptHomFastCurving.h
   contrib/HighOrderMeshOptimizer/OptHomIntegralBoundaryDist.h
   contrib/HighOrderMeshOptimizer/CADDistances.h
   contrib/HighOrderMeshOptimizer/OptHomObjContribScaledJac.h
@@ -185,10 +186,12 @@
 endif(NOT DATE)
 set(GMSH_DATE "${DATE}")
 
-if(NOT HOSTNAME)
-  set(HOSTNAME "unknown")
-endif(NOT HOSTNAME)
-set(GMSH_HOST "${HOSTNAME}")
+if(NOT GMSH_HOST)
+  if(NOT HOSTNAME)
+    set(HOSTNAME "unknown")
+  endif(NOT HOSTNAME)
+  set(GMSH_HOST "${HOSTNAME}")
+endif(NOT GMSH_HOST)
 
 if(NOT PACKAGER)
   set(PACKAGER "unknown")
@@ -209,23 +212,31 @@
 include(CheckIncludeFile)
 include(CheckCXXCompilerFlag)
 
+macro(set_config_option VARNAME STRING)
+  set(${VARNAME} TRUE)
+  list(APPEND CONFIG_OPTIONS ${STRING})
+  message(STATUS "Found " ${STRING})
+endmacro(set_config_option)
+
+# check if the machine is 64 bits (this is more reliable than using
+# CMAKE_SIZEOF_VOID_P, which does not seem to work e.g. on some Suse
+# machines)
+check_type_size("void*" SIZEOF_VOID_P)
+if(SIZEOF_VOID_P EQUAL 8)
+  set_config_option(HAVE_64BIT_SIZE_T "64Bit")
+endif(SIZEOF_VOID_P EQUAL 8)
+
+# append 32/64 to the build name on Linux and Windows
+if(NOT APPLE)
+  if(HAVE_64BIT_SIZE_T)
+    set(GMSH_OS "${GMSH_OS}64")
+  else(HAVE_64BIT_SIZE_T)
+    set(GMSH_OS "${GMSH_OS}32")
+  endif(HAVE_64BIT_SIZE_T)
+endif(NOT APPLE)
+
 if(ENABLE_WRAP_PYTHON AND NOT ENABLE_BUILD_SHARED)
   set(ENABLE_BUILD_DYNAMIC ON)
 endif(ENABLE_WRAP_PYTHON AND NOT ENABLE_BUILD_SHARED)
 
 if(MSVC)
-  # remove annoying warning about bool/int cast performance
-  set(GMSH_CONFIG_PRAGMAS "#pragma warning(disable:4800 4244 4267)")
-  if(ENABLE_MSVC_STATIC_RUNTIME)
-    foreach(VAR
-            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
-            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO
-            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
-            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
-      if(${VAR} MATCHES "/MD")
-        string(REGEX REPLACE "/MD" "/MT" ${VAR} "${${VAR}}")
-      endif(${VAR} MATCHES "/MD")
-    endforeach(VAR)
-  endif(ENABLE_MSVC_STATIC_RUNTIME)
-  if(ENABLE_BUILD_DYNAMIC OR ENABLE_BUILD_SHARED)
-    # automatically export .def file with all symbols (requires CMake 3.4);

=== Common/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC  
  Gmsh.cpp
    GmshMessage.cpp
  gmshPopplerWrapper.cpp
  Context.cpp
  Options.cpp
  CommandLine.cpp
  OS.cpp
  OpenFile.cpp
  CreateFile.cpp
  VertexArray.cpp
  SmoothData.cpp
  Octree.cpp 
    OctreeInternals.cpp
  StringUtils.cpp
  ListUtils.cpp
  TreeUtils.cpp avl.cpp
  MallocUtils.cpp
  onelabUtils.cpp
  GamePad.cpp
  GmshRemote.cpp
  GmshAPI.cpp
)

if(ENABLE_ONELAB AND NOT ENABLE_ONELAB2)
  set(SRC
    ${SRC}
    gmshLocalNetworkClient.cpp)
endif(ENABLE_ONELAB AND NOT ENABLE_ONELAB2)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Common "${SRC};${HDR}")

=== Fltk/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  FlGui.cpp
    graphicWindow.cpp
      openglWindow.cpp
    optionWindow.cpp
      colorbarWindow.cpp
    drawContextFltkCairo.cpp
    drawContextFltkStringTexture.cpp
    gamepadWindow.cpp
    fieldWindow.cpp
    pluginWindow.cpp
    statisticsWindow.cpp
    visibilityWindow.cpp
    highOrderToolsWindow.cpp
    clippingWindow.cpp
    manipWindow.cpp
    contextWindow.cpp
    helpWindow.cpp
    fileDialogs.cpp
    extraDialogs.cpp
    projectionEditor.cpp
    classificationEditor.cpp
    partitionDialog.cpp
    inputValue.cpp inputRegion.cpp
    viewButton.cpp solverButton.cpp
    Navigator.cpp
    onelabGroup.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Fltk "${SRC};${HDR}")

=== Geo/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
    gmshSurface.cpp
    OCCVertex.cpp OCCEdge.cpp OCCFace.cpp OCCRegion.cpp
    GenericVertex.cpp GenericEdge.cpp GenericFace.cpp GenericRegion.cpp
-    discreteEdge.cpp discreteFace.cpp discreteDiskFace.cpp discreteRegion.cpp 
+    discreteEdge.cpp discreteFace.cpp discreteDiskFace.cpp discreteRegion.cpp
     fourierEdge.cpp fourierFace.cpp fourierProjectionFace.cpp
   ACISVertex.cpp
   ACISEdge.cpp
@@ -25,12 +25,12 @@
     GModelVertexArrays.cpp
     GModelFactory.cpp
     GModelIO_GEO.cpp GModelIO_ACIS.cpp GModelIO_OCC.cpp GModelIO_TOCHNOG.cpp
-      GModelIO_Fourier.cpp 
-    GModelIO_MSH.cpp GModelIO_MSH2.cpp GModelIO_VTK.cpp GModelIO_POS.cpp 
-      GModelIO_CGNS.cpp GModelIO_MED.cpp GModelIO_MESH.cpp GModelIO_STL.cpp 
-      GModelIO_PLY.cpp GModelIO_VRML.cpp GModelIO_UNV.cpp GModelIO_BDF.cpp 
+      GModelIO_Fourier.cpp
+    GModelIO_MSH.cpp GModelIO_MSH2.cpp GModelIO_VTK.cpp GModelIO_POS.cpp
+      GModelIO_CGNS.cpp GModelIO_MED.cpp GModelIO_MESH.cpp GModelIO_STL.cpp
+      GModelIO_PLY.cpp GModelIO_VRML.cpp GModelIO_UNV.cpp GModelIO_BDF.cpp
       GModelIO_IR3.cpp GModelIO_DIFF.cpp GModelIO_GEOM.cpp GModelIO_INP.cpp
-      GModelIO_MAIL.cpp GModelIO_P3D.cpp GModelIO_CELUM.cpp
+      GModelIO_MAIL.cpp GModelIO_P3D.cpp GModelIO_CELUM.cpp GModelIO_NEU.cpp
       GModelIO_ACTRAN.cpp GModelIO_SU2.cpp GModelIO_SAMCEF.cpp
   ExtrudeParams.cpp
   Geo.cpp
@@ -51,5 +51,5 @@
   MVertexBoundaryLayerData.cpp
 )
 
-file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
+file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
 append_gmsh_src(Geo "${SRC};${HDR}")

=== Graphics/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Camera.cpp 
  Trackball.cpp 
  ReadImg.cpp 
  drawContext.cpp 
  drawMesh.cpp 
  drawGeom.cpp 
  drawPost.cpp 
  drawAxes.cpp 
  drawScales.cpp 
  drawGraph2d.cpp 
  drawGlyph.cpp 
  gl2ps.cpp
  gl2gif.cpp
  gl2jpeg.cpp
  gl2png.cpp
  gl2ppm.cpp
  gl2yuv.cpp
  gl2pgf.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Graphics "${SRC};${HDR}")

=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
       meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
       meshGFaceBamg.cpp meshGFaceBDS.cpp meshGFaceDelaunayInsertion.cpp 
       meshGFaceLloyd.cpp meshGFaceOptimize.cpp 
-     meshGFaceQuadrilateralize.cpp 
     meshGRegion.cpp 
     meshDiscreteRegion.cpp 
       meshGRegionDelaunayInsertion.cpp meshGRegionTransfinite.cpp

=== Numeric/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Numeric.cpp
    fullMatrix.cpp
  BasisFactory.cpp
    FuncSpaceData.cpp
  discreteFrechetDistance.cpp
  miniBasis.cpp
    nodalBasis.cpp
	polynomialBasis.cpp
	pyramidalBasis.cpp
	BergotBasis.cpp
	jacobiPolynomials.cpp
	legendrePolynomials.cpp
    bezierBasis.cpp
    JacobianBasis.cpp
    CondNumBasis.cpp
    pointsGenerators.cpp
  ElementType.cpp
  GaussIntegration.cpp
    GaussQuadratureLin.cpp
    GaussQuadratureTri.cpp
    GaussQuadratureQuad.cpp
    GaussQuadratureTet.cpp
    GaussQuadratureHex.cpp
    GaussQuadraturePri.cpp
    GaussQuadraturePyr.cpp
    GaussLegendreSimplex.cpp
  GaussJacobi1D.cpp
  HilbertCurve.cpp
 robustPredicates.cpp
 decasteljau.cpp
  mathEvaluator.cpp
  Iso.cpp
  approximationError.cpp
  ConjugateGradients.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Numeric "${SRC};${HDR}")

=== Parser/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Gmsh.tab.cpp
  Gmsh.yy.cpp
  FunctionManager.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Parser "${SRC};${HDR}")

=== Plugin/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  Plugin.cpp PluginManager.cpp
  Levelset.cpp
  CutPlane.cpp CutSphere.cpp Isosurface.cpp
  Smooth.cpp CutParametric.cpp
  Lambda2.cpp
  Eigenvectors.cpp Eigenvalues.cpp
  StreamLines.cpp Particles.cpp CutGrid.cpp CutBox.cpp
  Transform.cpp
  LongitudeLatitude.cpp
  Triangulate.cpp Tetrahedralize.cpp
  Warp.cpp SphericalRaise.cpp
  Skin.cpp
  MathEval.cpp ModifyComponents.cpp ExtractElements.cpp
  MakeSimplex.cpp
  Integrate.cpp Gradient.cpp Curl.cpp Divergence.cpp
  Annotate.cpp Remove.cpp
  Probe.cpp MinMax.cpp
  HarmonicToTime.cpp ModulusPhase.cpp
  HomologyComputation.cpp HomologyPostProcessing.cpp
  Distance.cpp ExtractEdges.cpp NearestNeighbor.cpp
  AnalyseCurvedMesh.cpp
  CurvedBndDist.cpp
  FieldFromAmplitudePhase.cpp
  Bubbles.cpp NearToFarField.cpp
  DiscretizationError.cpp
  Scal2Tens.cpp Scal2Vec.cpp
  CutMesh.cpp
  NewView.cpp
  SimplePartition.cpp Crack.cpp DuplicateBoundaries.cpp ThinLayerFixMesh.cpp
  FaultZone.cpp
  MeshSubEntities.cpp
  CVTRemesh.cpp
  ShowNeighborElements.cpp
  GaussPoints.cpp
  VoroMetal.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(Plugin "${SRC};${HDR}")

=== Post/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  PView.cpp PViewIO.cpp PViewVertexArrays.cpp
    PViewData.cpp PViewDataIO.cpp PViewX3D.cpp
      PViewDataList.cpp PViewDataListIO.cpp
      PViewDataGModel.cpp PViewDataGModelIO.cpp
    PViewOptions.cpp
    PViewFactory.cpp
    PViewAsSimpleFunction.cpp
  adaptiveData.cpp shapeFunctions.cpp
  OctreePost.cpp
  ColorTable.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Post "${SRC};${HDR}")

=== Qt/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  QGui.cpp
  GLWidget.cpp
  graphicWindow.cpp
)

set(MOC_HDR
  GLWidget.h
  graphicWindow.h
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Qt "${SRC};${HDR}")

foreach(FILE ${MOC_HDR})
  list(APPEND MOC_LIST Qt/${FILE})
endforeach(FILE)
set(GMSH_MOC_HDR ${GMSH_MOC_HDR};${MOC_LIST} PARENT_SCOPE)

=== Solver/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2017 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file for license information. Please report all
# bugs and problems to the public mailing list <gmsh@onelab.info>.

set(SRC
  linearSystem.cpp
  linearSystemCSR.cpp
  linearSystemPETSc.cpp
  linearSystemMUMPS.cpp
  dofManager.cpp
  groupOfElements.cpp
  elasticityTerm.cpp
elasticitySolver.cpp
  thermicSolver.cpp
  SElement.cpp
  eigenSolver.cpp
  multiscaleLaplace.cpp
functionSpace.cpp
  filters.cpp
  frameSolver.cpp
  sparsityPattern.cpp
  STensor43.cpp
  STensor33.cpp
  STensor53.cpp
  STensor63.cpp
terms.cpp
)

file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h) 
append_gmsh_src(Solver "${SRC};${HDR}")

=== debian/changelog ===
gmsh (3.0.6+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch support-med-4.patch to fix FTBFS against med-fichier 4.0.0
    (Closes: #916971)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Dec 2018 10:09:26 +0100

gmsh (3.0.6+dfsg1-4) unstable; urgency=medium

  [ Joost van Zwieten ]
  * [f5ae4cb] add missing build dep for OpenCASCADE support (Closes: #904946)
  * [42ecb4e] add autopkgtest for reading step files

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 02 Dec 2018 18:47:52 -0600

gmsh (3.0.6+dfsg1-3) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 24 Jul 2018 22:33:04 +0200

gmsh (3.0.6+dfsg1-2) experimental; urgency=medium

  * [8eba763] Switch OpenCASCADE dependency from OCE->OCCT
  * [168e236] Update 140_drop_css.patch to catch privacy leak
  * [aa5d947] Fix med-fichier version dep (not working on 3.3.1)
  * [e4f20ac] Lintian and standards cleanup

 -- Kurt Kremitzki <kkremitzki@gmail.com>  Fri, 08 Jun 2018 14:42:32 -0500

gmsh (3.0.6+dfsg1-1) unstable; urgency=medium

  [ Nico Schlömer ]
  * [ea6f1b0] New upstream version 3.0.6+dfsg1
  * [a3c9b4e] remove upstreamed patches
  * [b80ccf1] add patch for install dirs
  * [a1bcd56] use all hardening options
  * [56a5166] apply multi-arch hints

  [ Anton Gladky ]
  * [b729c42] Add Breaks/Replaces for libjava-gmsh3. (Closes: #880214)
  * [c5a5ac0] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Tue, 07 Nov 2017 21:08:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,21 +2,18 @@
 BUILDDIR = $(CURDIR)/debian/build
 JAVA_HOME=/usr/lib/jvm/default-java
 
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-# Add --with javahelper for java-wrappers
 
 %:
-	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --with javahelper
+	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2,javahelper
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
 
-
 disable_mpi_archs = kfreebsd-amd64 kfreebsd-i386 ia64
 disable_auto_test_archs = mips64el
-export LD_LIBRARY_PATH :=  $(CURDIR)/debian/tmp/usr/lib:$(LD_LIBRARY_PATH); 
+export LD_LIBRARY_PATH :=  $(CURDIR)/debian/tmp/usr/lib:$(LD_LIBRARY_PATH);
 
 extra_flags += \
 -DENABLE_METIS:BOOL=OFF \
@@ -30,7 +27,7 @@
 -DENABLE_ONELAB:BOOL=ON \
 -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
 -DCMAKE_INCLUDE_PATH:STRING="/usr/include/mpi" \
--DINSTALL_LIB_DIR:STRING="/usr/lib/$(DEB_HOST_MULTIARCH)" \
+-DOCC_INC:STRING="/usr/include/occt"
 
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_mpi_archs)))
 	extra_flags += \
@@ -47,9 +44,9 @@
 override_dh_auto_clean:
 	rm -rf $(BUILDDIR)
 	rm -rf $(CURDIR)/debian/tmp
-	rm -f doc/texinfo/gmsh.vr 
-	rm -f doc/texinfo/gmsh.fn 
-	rm -f doc/texinfo/gmsh.ky 
+	rm -f doc/texinfo/gmsh.vr
+	rm -f doc/texinfo/gmsh.fn
+	rm -f doc/texinfo/gmsh.ky
 	rm -f doc/texinfo/gmsh.pg
 	rm -f doc/texinfo/gmsh.toc
 	rm -f doc/texinfo/gmsh.log
@@ -72,6 +69,14 @@
 	dh_auto_build -- pdf html info LC_ALL=C
 	chrpath -d $(BUILDDIR)/wrappers/gmshpy/*.so
 
+override_dh_installdocs:
+	dh_installdocs --doc-main-package=gmsh-doc -pgmsh
+	dh_installdocs --doc-main-package=gmsh-doc -pgmsh-doc
+	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh-dev
+	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh3
+	dh_installdocs --doc-main-package=gmsh-doc -plibjava-gmsh3
+	dh_installdocs --doc-main-package=gmsh-doc -ppython-gmsh
+
 override_dh_auto_test:
 	mkdir test-dir
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs)))
@@ -85,3 +90,6 @@
 	cd test-dir; ls -ln;
 endif
 	rm -rf test-dir
+
+override_dh_missing-arch:
+	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://www.geuz.org/gmsh/src/gmsh-([\d.]+)-source\.tgz
